Summary:  3D first-person shooter game
Name:     alephone-eternal
Version:  1.1.0
Release:  2%{?dist}
License:  Uncertain
Group:    Amusements/Games
URL:      http://eternal.bungie.org/
Source0:  eternal.autodlrc
Source1:  alephone-eternal.sh
Source2:  alephone-eternal.jpg
Source3:  alephone-eternal.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: desktop-file-utils

Requires: alephone
Provides: alephone-eternalx = %{version}-%{release}
Obsoletes: alephone-eternalx <= 1.1.0-2

%description
Eternal is a free scenario for Aleph One, the multi-platform, 
open-source, first-person-shooter engine derived from Bungie's 
Marathon engine. It continues the story of the Marathon trilogy, 
and is a nearly total conversion, featuring:

* Fifty-two new levels, some revisiting familiar locations from 
  the original Marathon trilogy.
* Over six hundred fifty new high-resolution textures, including 
  a dozen original landscape textures, from a variety of human and 
  alien environments.
* Eight all new weapons, many of which must be scavenged from 
  your defeated enemies.
* Over a dozen tracks of original music, including many remixes 
  of your favorite tracks from the original Marathon.
* And several new creatures and characters, alongside the 
  complete cast from the original trilogy.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne
cp %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/AlephOne/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/alephone-eternal.sh
%{_datadir}/AlephOne/eternal.autodlrc
%{_datadir}/pixmaps/alephone-eternal.jpg
%{_datadir}/applications/alephone-eternal.desktop

%changelog
* Tue Feb 20 2018 josef radinger <cheese@nosuchhost.net> - 1.1.0-2
- fix package name to eternal from eternalx

* Mon Feb 19 2018 josef radinger <cheese@nosuchhost.net> - 1.1.0-1
- initial version

